Skip to content
OpenPostDocs
OpenPostDocs
Editor Agent

Check cancellation before applying an editor operation

GET/editor-agent/sessions/{session_id}/requests/{request_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

session_id*string
request_id*string

Query Parameters

epoch*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/editor-agent/sessions/string/requests/string?epoch=string"
{  "$schema": "https://example.com/api/v1/schemas/Request.json",  "arguments": null,  "created_at": "2019-08-24T14:15:22Z",  "error": null,  "expires_at": "2019-08-24T14:15:22Z",  "id": "string",  "operation": "string",  "request_key": "string",  "result": null,  "session_id": "string",  "status": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}